#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_AiBeiWhiteNameListData
{
	//ÐòºÅ
	int mID;
	//Íæ¼ÒID
	std::string mPlayerId;
};

class M_AiBeiWhiteNameList
{
public:
private:
	static std::auto_ptr<M_AiBeiWhiteNameList> msSingleton;
public:
	int GetCount();
	const M_AiBeiWhiteNameListData* GetData(int ID);
	boost::unordered_map<int, M_AiBeiWhiteNameListData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_AiBeiWhiteNameList* GetSingleton();
private:
	boost::unordered_map<int, M_AiBeiWhiteNameListData> mMapData;
};
